Bug 1175369 (CVE-2014-9402) - CVE-2014-9402 glibc: denial of service in getnetbyname function
Summary: CVE-2014-9402 glibc: denial of service in getnetbyname function
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-9402
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1175370 1497132
Blocks: 1175371 1188240 1498774
TreeView+ depends on / blocked
 
Reported: 2014-12-17 15:28 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:25 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:37:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0805 None None None 2018-04-10 08:20:42 UTC

Description Vasyl Kaigorodov 2014-12-17 15:28:06 UTC
It was reported [1] that getnetbyname function in glibc 2.21 in earlier will enter an infinite loop if the DNS backend is activated in the system Name Service Switch configuration, and the DNS resolver receives a positive answer while processing the network name.

Upstream commit that fixes this issue:
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=11e3417af6e354f1942c68a271ae51e892b2814d

[1]: https://sourceware.org/bugzilla/show_bug.cgi?id=17630

Comment 1 Vasyl Kaigorodov 2014-12-17 15:29:00 UTC
Created glibc tracking bugs for this issue:

Affects: fedora-all [bug 1175370]

Comment 2 Murray McAllister 2014-12-18 02:54:39 UTC
MITRE assigned CVE-2014-9402 to this issue:

http://seclists.org/oss-sec/2014/q4/1080

Comment 5 Vincent Danen 2015-02-13 20:35:43 UTC
Statement:

A non-standard system configuration ("networks: file dns" in /etc/nsswitch.conf) and possibly a DNS spoofing attack is required to exploit this flaw.

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 9 errata-xmlrpc 2018-04-10 08:20:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0805 https://access.redhat.com/errata/RHSA-2018:0805


Note You need to log in before you can comment on or make changes to this bug.